thunderbird (7.0 and up) (as well as Firefox) stops unexpectedly without any message

RESOLVED INCOMPLETE

Status

Thunderbird
General
--
critical
RESOLVED INCOMPLETE
6 years ago
4 years ago

People

(Reporter: Denys Perrin, Unassigned)

Tracking

({crash})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [has stacktrace ][OS/HW?])

Attachments

(5 attachments, 1 obsolete attachment)

(Reporter)

Description

6 years ago
Created attachment 563740 [details]
thunderbird stops unexpectedly without any message

Please note : it looks like the 489174, but it is not especially or only when attaching files. Example (not the one of the attached dump file) : I open a message. a Word file is attached. double-clicked on it. Word opened it normally.
Back on Thunderbird, I closed the window of the opened message. then, clicked on the message of the mail list to paste it to a specific folder. At that time, thunderbird disappears, I can reopen it less than a minute after, without any problem. Looks to me also that if I do a few actions quickly one after another.

PS. I have the same problem  (and another dump) with Firefox ...

Comment 1

6 years ago
Do you mean it crashes? Can you post the crash IDs from about:crashes (in Firefox)?
In thunderbird you can get it here
https://developer.mozilla.org/en/How_to_get_a_stacktrace_for_a_bug_report

Comment 2

6 years ago
Denys, does this crash if you disable Avast?
(Reporter)

Comment 3

6 years ago
@aceman
it stopped a few times on sep 29th, without crash ID or message or anything.
Attached is one of the firefox debug log(In reply to Wayne Mery (:wsmwk) from comment #2)
> Denys, does this crash if you disable Avast?

Yes, it does ...
(Reporter)

Comment 4

6 years ago
Created attachment 564495 [details]
1st attachment
(Reporter)

Comment 5

6 years ago
Created attachment 564496 [details]
2nd attachment
(Reporter)

Comment 6

6 years ago
Sorry I mixed 2 replies, please forget comment #3
Start again :
reply to aceman from comment #1)
it stopped a few times on sep 29th, without crash ID or message or anything, so it doesn't appear when typing 'about:crashes' (debug log in attachment 1 [details] [diff] [review]) 
Tried a few times this morning, but now it hangs at 1st access of home page, ie before accessing any URL (debug log in attachment 2 [details] [diff] [review])
(Reporter)

Comment 7

6 years ago
(In reply to Wayne Mery (:wsmwk) from comment #2)
> Denys, does this crash if you disable Avast?

Yes Wayne, it does also in this case
(Reporter)

Comment 8

6 years ago
comment #7 is for Thunderbird bug, while #6 is for Firefox. Do I have to do a special post for Firefox ?

Comment 9

6 years ago
We need to determine if it has the same cause somewhere inside the shared Gecko platform. Then one bug (this) would be enough.
In thunderbird you do some actions with an attachment.
What do you do in Firefox when this happens? (steps to reproduce this)
(Reporter)

Comment 10

6 years ago
Thunderbird : problem doesn't necessarily happen when working with an attachment.
For example, on 30.11.2011, when reading a message I just clicked on a link to the web, then Thunderbird disappeared without any message. The click didn't switch to the web (Firefox by default).
Doing it again a few minutes later didn't cause any problem.
Other case : when writing a message, it happened when moving a piece of text to another place in the message ...

Comment 11

6 years ago
Ok, that is for Thunderbird. Describe how you can make Firefox crash.
(Reporter)

Comment 12

6 years ago
I don't 'make' Firefox crash, it does it very well himself... at any time : a few minutes ago, It stopped : I was simply starting typing URL (with automatic location search - keyboard.enabled in 'about:config'). I tried again, it failed again. Tried again, it didn't fail this time.
It can also stop when opening a new thumbnail, or pressing 'tab', ctrl + back, PgDown, etc ... looks it happens a little bit more often when going fast
(Reporter)

Comment 13

6 years ago
I think I can now easily reproduce the same crash for Thunderbird( did it right now 3 times one after the other):
In the input mail list, I deleted 2 or 3 messages (shift+del), and immediately after moved an email to  another folder (drag and drop), then Thunderbird stopped without any other message.
It looks like doing 2 actions quickly causes this error. I had the same impression some times when having the problem with Firefox.
Thanks in advance for your help
(Reporter)

Comment 14

6 years ago
This morning, just pressing 'Send' button, Thunderbird stopped - no error message - no message in the Draft when restarting thunderbird (grr....)

I would like to remove Thunderbird - and Firefox, then reload them. How can I do it  COMPLETELY ( registry - Windows services - application Data - any other stuff) please ?
Which are the folders of thunderbird I have to save for later restore ?

Thanks a lot for your help

Denys
Severity: normal → major

Comment 15

6 years ago
See http://support.mozilla.org/en-US/kb/Recovering%20important%20data%20from%20an%20old%20profile for Firefox.

It also partly applies to Thunderbird but there you will also want to preserve the folder where your emails are stored (see Local Directory field in the Account manager for each account).

Comment 16

6 years ago
Denys, do you still see this problem?
Whiteboard: [closeme 2012-03-01]
(Reporter)

Comment 17

6 years ago
Wayne,

Yes I still have the problem, though I reinitialized Thunderbird  :(
Thank you anyway to look after it
Denys

Comment 18

6 years ago
Have you upgraded to versions 10?

I couldn't see it anywhere in the comments, have you tried Firefox/Thunderbird Safe mode (Help->restart with addons disabled) ?
(Reporter)

Comment 19

6 years ago
Upgraded : -Yes
Safe mode : not yet. I will try and let you know asap (sorry I have to go now)

Comment 20

6 years ago
Confirming that Thunderbird 10.0.2 (with no extensions other than that supplied with it) also quits unexpectedly with no error message (just as if I had clicked the close button) at random long intervals, under Windows XP SP3.  This did not seem to happen with earlier versions, and I have not yet seen it with Firefox 10.0.2.

Comment 21

6 years ago
in safe mode also?
Severity: major → critical
Keywords: crash
Whiteboard: [closeme 2012-03-01]

Comment 22

6 years ago
Not yet -- this occurs at usually long random intervals.

Comment 23

6 years ago
I have now seen the aftermath of Firefox 10.0.2 quitting unexpectedly (has not yet done it while I am watching, the way Thunderbird 10.0.2 has), and next time I start it, it says something similar to (can't remember the exact wording) "This is embarassing -- Firefox is having trouble restoring your previous session" even if that was just the Google/Firefox default home page.  Some of these MIGHT be connected to Adobe Reader (including the plugin) crashing (definitely an Adobe bug, although I don't know which one -- this only started recently, so they broke something), but when I just had the Google/Firefox default home page open, this seems a bit of a stretch (but on the other hand, I can't yet swear that I hadn't had a PDF file open using this plugin under Firefox and then just backed out to the home page, leaving the plugin a chance to stay resident and then crash).  This doesn't explain the Thunderbird unexpected closes (Thunderbird as far as I know doesn't do anything with the Adobe Reader plugin, and besides I have had several Adobe Reader crashes without Thunderbird quitting).
(Reporter)

Comment 24

6 years ago
the main chance I have to make thunderbird crash : in incoming mail, just click on 1 message to move it on another folder : as soon as I move the mouse ... bing

Comment 25

6 years ago
Is that in TB Safe mode?
(Reporter)

Comment 26

6 years ago
It does as well in safe mode ...
since it happens (in ths case) when moving the mouse (while left clicking), wouldn't this have to do with graphic card or so ?

Comment 27

6 years ago
But in Thunderbird safe mode (also Firefox) the graphics acceleration is disabled. So you would have some other serious problem with your card, memory or CPU or system so that it crashes just when moving the mouse.

Do you have your GPU driver updated and also your OS?
(Reporter)

Comment 28

6 years ago
what's the GPU driver, which update are you talking about ?

Comment 29

6 years ago
For your graphics card. Nvidia, ATI/AMD, Intel?
Try to paste contents of Graphics section of about:support here.

Comment 30

6 years ago
Strangely, Thunderbird hasn't quit on me any more (even without Safe Mode) since the update to 11.0.1 (could have actually been fixed by 11.0 -- this was on for a short enough time before the update to 11.0.1 that I can't be sure).

Firefox 11.0 hasn't quit on me since I bent over backwards to fix the horrible mess that the combination of Adobe Flash updates and IT-pushed updates somehow made on my computer.
(Reporter)

Comment 31

6 years ago
hope it helps ...
Device Description : Mobile Intel(R) 945GM Express Chipset Family
Adapter String : Intel(R) Calistoga Graphics Controller
BIOS String : Hardware Version 0.0
Chip Type : Intel(R) Calistoga Graphics Controller
DAC Type : Internal
Driver Date : 2005/11/19
Driver Version : 6.14.10.4431
Driver Provider : Intel Corporation
Memory Size : 224 MB
Monitor Name : 
Model : SEC5857
Manufacture Date : 2004/0
Serial Number : 
Max.Visible Display Size : (255 x 255) cm (142,0')
Gamma : 3,55
640 x 400 - 8 bit
640 x 400 - 16 bit
640 x 400 - 32 bit
640 x 480 - 8 bit
640 x 480 - 16 bit
640 x 480 - 32 bit
... etc.

Comment 32

6 years ago
The driver seems ancient. Can you try to update it? Like go to My computer -> rightclick -> Manage... -> Hardware manager -> rightclick Display adapter -> Update driver.
(Reporter)

Comment 33

6 years ago
I did it with DriverMax ... which gave me a black screen when restarting the PC ... 
So I had to reboot PC in safe mode, restore the system at the previous status etc. With the same old release of graphic card, I opened Thunderbird, tried again to click on messages, to move them and ... it worked, so I need to wait or find another way to have another case of Firefox or Thunderbird crashing (!) ... 

Updated inbetween graphic card from the site Intel without problem ... name is now 'Mobile Intel(R) 945 Express Chipset Family' (not 945GM)

Question : why do I have 'Mobile Intel(R) 945 Express Chipset Family' displayed twice under graphic card when in Hardware screen ?

Thanks in advance

Comment 34

6 years ago
Do you have a laptop with a VGA output?

What is the driver date/version now?
(Reporter)

Comment 35

6 years ago
1.- I think so (Inspiron 9400) but I can't see it in system information. There is 
VGA output plug behind laptop.

2.- 
Device Description : Mobile Intel(R) 945 Express Chipset Family
Adapter String : Intel(R) GMA 950
BIOS String : Hardware Version 0.0
Chip Type : Intel(R) GMA 950
DAC Type : Internal
Driver Date : 2008/02/15
Driver Version : 6.14.10.4926
Driver Provider : Intel Corporation
Memory Size : 224 MB
Monitor Name : 
Model : SEC5857
Manufacture Date : 2004/0
Serial Number :

Comment 36

6 years ago
Good. I think this happens on all Intel cards. When it has tvo outputs (internal LCD and external plug) it shows up in Firefox (about:support) as two cards. But it seems to be fixed in Firefox 12 or 13.

It looks like your driver version is now good, per this page https://wiki.mozilla.org/Blocklisting/Blocked_Graphics_Drivers it could even work for GPU acceleration in Firefox. Even if not, I think if it is mentioned on that page (looking at GMA950, Win XP) then it is not known to cause any troubles and is supposed to work fine.

Then please report if you get the hangs also with this driver.
(Reporter)

Comment 37

6 years ago
I will ! (but let's cross the fingers so I don't have to)

Anyway, mille mercis pour toute votre aide aceman !

Denys
(Reporter)

Comment 38

6 years ago
I didn't cross fingers strong enough, it did it again tonight (selecting a few items and move the mouse ....)

Comment 39

6 years ago
Just now saw a recurrence of the problem with Thunderbird 12.0.  It occurs at very long intervals, or maybe Thunderbird 11.x did something that covered up the problem but didn't really fix it.  This time it happened when I tried to get it to display blocked images, but the problem did not recur after I restarted Thunderbird.  Usually the problem happens when just sitting there (not doing anything, and sometimes not even in the foreground) -- at least this used to be the case before 11.x.

Possibly related bug:  Occasionally when Firefox is restarted it thinks that it crashed the last time it was closed (sort of like what I referred to in Comment 23 above, but without Adobe Flash being active, unless Flash is actually active in the background even on a page with no Flash content).  (Actually searched for and found bug reports more specifically about this kind of problem, but they were marked as FIXED and/or DUPLICATE a LONG time ago.)

Comment 40

6 years ago
I have had a problem with Thunderbird closing unexpectedly for at least the past year. Mostly it happens when adding an attachment, but sometimes it can be nothing in particular that will make it close. At times it will work fine for a week or so, and then start giving constant problems. Normally after struggling for a while, it will finally settle down and work OK. I have just upgraded to the latest version 12.0.1. Every time a new version comes out, I am hopeful the bug will have been fixed. With the latest version, it is worse than ever. It sometimes closes without me even doing anything. However, it now always closes when I create a new email, just fill in anything in the address bar or subject and try to save it to drafts. (If I leave all fields blank and save, it doesn't close.)

When I restart Thunderbird, the Preview pane is switched to enabled - I like having it off. But the program closes whether the Preview is off or on.

There are no crash reports generated - so nothing I can submit. I run it on Windows Vista Business with SP2. My antivirus is Kaspersky. (I have tried before disabling Kaspersky, but it does the same.) I have run in Safe mode, and no difference.

What else can I try or information that I can give?

Comment 41

6 years ago
After my previous report I did a complete uninstall (deleting all relevant folders, etc.) and re-install of the latest version of Thunderbird. With an empty profile (no messages or contacts) the program does the same thing as before, closing often when I do something like resizing, but always closing when I try to save a new email. So it cannot be anything in my profile that caused the problem. Somebody suggested it might be the graphics card and to update to latest driver - but I am on the latest driver. (I have an ATI Mobility Radeon HD 3470).

Finally I have had enough and spent six hours last night converting all my emails to eml files and importing it into Windows Mail (which comes free with Vista). I am sorry to say goodbye to Thunderbird. It is a brilliant program but something must be done to make it more stable.

Thanks for listening ...

Comment 42

6 years ago
Maybe it would be beneficial to see if you have some strange .dlls loaded into the TB/FF process.
Can you install the "nightly tester tools" extension into Thunderbird (or Firefox)? Then use the "Crash me!" menu item. I think the crash reporter should come up and submit the report. Then please paste the crash ID here. Then we could maybe spot if there is something unusual in your system.
Summary: thunderbird (7.0) (as well as Firefox) stops unexpectedly without any message → thunderbird (7.0 and up) (as well as Firefox) stops unexpectedly without any message

Comment 43

6 years ago
I added the nightly tester tools and crashed it with Null pointer deref!

The Crash reporter came up and had the following report (I assume this is what you call the Crash ID?):

AdapterDeviceID: 0x95c4
AdapterVendorID: 0x1002
Add-ons: tbtestpilot@labs.mozilla.com:1.3.9,viewabout@rumblingedge.com:2.0.1,{8620c15f-30dc-4dba-a131-7c5d20cf4a29}:3.2.2,{972ce4c6-7e08-4474-a285-3208198ce6fd}:12.0.1
AvailablePageFile: 4107046912
AvailablePhysicalMemory: 1311055872
AvailableVirtualMemory: 1845624832
BuildID: 20120428123112
CrashTime: 1335981404
EMCheckCompatibility: true
FramePoisonBase: 00000000f0de0000
FramePoisonSize: 65536
InstallTime: 1335901044
Notes: AdapterVendorID: 0x1002, AdapterDeviceID: 0x95c4, AdapterSubsysID: 00000000, AdapterDriverVersion: 8.477.0.0

ProductID: {3550f703-e582-4d05-9a08-453d09bdfdc6}
ProductName: Thunderbird
ReleaseChannel: release
StartupTime: 1335981373
SystemMemoryUsePercentage: 58
Theme: classic/1.0
Throttleable: 1
TotalVirtualMemory: 2147352576
URL: 
Vendor: 
Version: 12.0.1
Winsock_LSP: MSAFD Tcpip [TCP/IP] : 2 : 1 : %SystemRoot%\system32\mswsock.dll 
 MSAFD Tcpip [UDP/IP] : 2 : 2 :  
 MSAFD Tcpip [RAW/IP] : 2 : 3 : %SystemRoot%\system32\mswsock.dll 
 MSAFD Tcpip [TCP/IPv6] : 2 : 1 :  
 MSAFD Tcpip [UDP/IPv6] : 2 : 2 : %SystemRoot%\system32\mswsock.dll 
 MSAFD Tcpip [RAW/IPv6] : 2 : 3 :  
 RSVP TCPv6 Service Provider : 2 : 1 : %SystemRoot%\system32\mswsock.dll 
 RSVP TCP Service Provider : 2 : 1 :  
 RSVP UDPv6 Service Provider : 2 : 2 : %SystemRoot%\system32\mswsock.dll 
 RSVP UDP Service Provider : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{B6EDC8BE-1092-4254-A694-C15BEDBC62AA}] SEQPACKET 11 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{B6EDC8BE-1092-4254-A694-C15BEDBC62AA}] DATAGRAM 11 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{E26C288A-1E4C-42B1-AC8C-204FF169E20D}] SEQPACKET 9 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{E26C288A-1E4C-42B1-AC8C-204FF169E20D}] DATAGRAM 9 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{EF346B36-27EE-44BA-85BD-BCCF0B6416C8}] SEQPACKET 7 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{EF346B36-27EE-44BA-85BD-BCCF0B6416C8}] DATAGRAM 7 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{1F6BE139-B272-40FB-835B-CBDEB027DB91}] SEQPACKET 3 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{1F6BE139-B272-40FB-835B-CBDEB027DB91}] DATAGRAM 3 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{A90AF578-3218-4523-81D8-5BB7A4600711}] SEQPACKET 1 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip_{A90AF578-3218-4523-81D8-5BB7A4600711}] DATAGRAM 1 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{129604DE-C987-4D9B-8FA1-C6273C0BAE6C}] SEQPACKET 5 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{129604DE-C987-4D9B-8FA1-C6273C0BAE6C}] DATAGRAM 5 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{B6EDC8BE-1092-4254-A694-C15BEDBC62AA}] SEQPACKET 12 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{B6EDC8BE-1092-4254-A694-C15BEDBC62AA}] DATAGRAM 12 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{C15AFC98-0612-4E90-B8F5-9A483FA568B9}] SEQPACKET 0 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{C15AFC98-0612-4E90-B8F5-9A483FA568B9}] DATAGRAM 0 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{E26C288A-1E4C-42B1-AC8C-204FF169E20D}] SEQPACKET 10 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{E26C288A-1E4C-42B1-AC8C-204FF169E20D}] DATAGRAM 10 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{EF346B36-27EE-44BA-85BD-BCCF0B6416C8}] SEQPACKET 8 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{EF346B36-27EE-44BA-85BD-BCCF0B6416C8}] DATAGRAM 8 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{1F6BE139-B272-40FB-835B-CBDEB027DB91}] SEQPACKET 4 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{1F6BE139-B272-40FB-835B-CBDEB027DB91}] DATAGRAM 4 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{32B32761-7584-4439-AF26-E20763136CE0}] SEQPACKET 6 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{32B32761-7584-4439-AF26-E20763136CE0}] DATAGRAM 6 : 2 : 2 :  
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{A90AF578-3218-4523-81D8-5BB7A4600711}] SEQPACKET 2 : 2 : 5 : %SystemRoot%\system32\mswsock.dll 
 MSAFD NetBIOS [\Device\NetBT_Tcpip6_{A90AF578-3218-4523-81D8-5BB7A4600711}] DATAGRAM 2 : 2 : 2 : 

This report also contains technical information about the state of the application when it crashed.

Comment 44

6 years ago
This is the crash log. You can get the ID of it in Help->Troubleshooting info -> about:crashes (a link).
It has similar format as the numbers in your post (like 8620c15f-30dc-4dba-a131-7c5d20cf4a29).

Comment 45

6 years ago
Here is the Crash ID:

955f8176-2a80-4bb9-bf81-873852120502

Comment 46

6 years ago
I think you need to click on it so that it is submitted. The number then changes to have a "bp-" prefix.

Comment 47

6 years ago
I did click on it. In Thunderbird it has a bp- prefix (bp-955f8176-2a80-4bb9-bf81-873852120502) but I copied the ID from the crash report on the website. There it appears without the prefix.

Comment 48

6 years ago
Ok, now it is fine.

OK guys, can anybody see any strange dll?
What about the Groove* ones or DropboxExt.14.dll or UnlockerHook.dll?

Comment 49

6 years ago
if that stack trace is to be believed, jsctypes is on the stack, which means that js code is calling into a binary dll. I would be surprised if this wasn't an extension. Firefox sync looks like it might use jsctypes, but I don't see any other core code that does.

Comment 50

6 years ago
The stack is in an artificial crash.
What is that {8620c15f-30dc-4dba-a131-7c5d20cf4a29} extension?

Comment 51

6 years ago
google claims it's the nightly testing tool, though I'm not sure that's true.

The update service also uses ctypes, and about:support, so there are a few things that do, in case jsctypes is actually involved.
(Reporter)

Comment 52

5 years ago
Still having those problems, most of the time whel replying all to a message, then writing sthg or ctl-V or adding a CC: etc.

Met inbetween EssentialPIM - opening in 3 seconds, all options I need (agenda, Notes, tasks, NO CRASH (yet)-

so sorry guys, I leave Thunderbird. As far as I'm concerned, you can close 690774.

For info, Firefox looks OK now, I have quite no more unexpected stops (once or twice a month)

best regards, Denys
Whiteboard: bye bye thunderbird (snif)
(Reporter)

Comment 53

5 years ago
if it can help ...

Just installed LibreOffice today. 
Inbetween, I captured a piece of screen with Gadwin PrintScreen software

Run LibreOffice Writer -> new document -> Ctrl-V to get the given screen image in the document :  program disappeared - no message, nothing
Did it a few times, everytime the same occurs.

Tried then the same with OpenOffice Writer, without problem.

It looks like my PC acts strangely when specific conditions occur (eg the 'Paste' function makes Thunderbird disappear quite always when writing (reply or new message))

Comment 54

5 years ago
iirc, some people nave reported issues with open office installed, no?

Comment 55

5 years ago
Since this bug occurs at long intervals in Thunderbird and even longer intervals in Firefox, it has taken quite a while to determine any triggers (and even these triggers usually do not elicit the bug).

Thunderbird 14.0:  Clicking on a folder (to view the message list in it) occasionally triggers an unexpected quit (again, with no error message).  Appears to be random and of very low probability for any one click on a folder.  As previously reported, the unexpected quit can also happen spontaneously (Thunderbird does not even have to be in the foreground); the probability of this happening after 1 day is in the general neighborhood of 50%.

Firefox 14.0.1:  Clicking on a link rarely triggers an unexpected quit.  Has not yet happened enough times to determine if a particular type of link causes this (is of extremely low probability for any one click on a link).  As previously reported, the unexpected quit can also happen spontaneously (Firefox does not even have to be in the foreground); the probability of this happening after 1 day is much less than 50% (happens much less often than with Thunderbird).

Comment 56

5 years ago
Not sure if this is related, but one time (so far) upon starting Thunderbird 15.0.1, after a prolonged period of attempting to connect to the mail server, I got an error message like "The program tried to read the address {some long hexadecimal number}." OR "The instruction at {some long hexadecimal number} could not be read."  / "Click OK to terminate the program." (Unfortunately, didn't think to write down the exact message, and will probably be a long time before I see another one.)  I wonder if an illegal memory access (of very low probability at any given time) after successful connection to the mail server causes Thunderbird to quit with no error message.  (Note that on all occasions to date other than this one, when Thunderbird could not connect to the mail server, it gave its normal error message about this after just a few seconds, and did not close.)

Does the test facility have any easy way to run a huge number of Thunderbirds in parallel overnight and perform an automated check for illegal memory access or other unexpected quits?

Comment 57

5 years ago
Another admittedly unscientific observation:  The unexpected quit in Firefox seems to happen a lot more often under Windows XP (average interval on the order of 1 day -- now does seem to be more often than the <50% probability in 1 day that I reported 2 posts back) than under Windows Vista (interval of many days or maybe even over 1 month) (latest Service Pack and all "Important" patches on both operating systems).  (Windows Vista itself freezes more often than Firefox quits on Windows Vista, although this might be a video card problem.)

Not sure whether this would be also true for Thunderbird, because I only tested that on Windows XP (and now my workplace IT department made it technically impossible to use Thunderbird, not too long after my above post, so I can't test it any more).

So to me this indicates (although again, I haven't done a scientifically sound test) that this bug is due (at least largely) to some interaction of the Mozilla software with Windows XP.

Bit of additional information about my 2 posts above:  Clicking on the Back button or closing a Tab (usually after a long interval of not doing anything) can on rare occasions apparently trigger the unexpected Firefox quit, although I can't be sure if either of those is really the trigger or if something bad already happened and the Firefox window just did not go away until I try to do something with it.

So I suppose an ideal test setup to replicate this bug could be something that is running under Windows XP and using Firefox, but leaving it alone for long intervals (like overnight) and then resuming browsing, including navigation back and closing tabs.  Not sure how feasible this is, but if it IS practical, something similar might also work for replicating this bug in Thunderbird.

Comment 58

5 years ago
Forgot to mention in the above 3 posts:  NO OpenOffice or LibreOffice was installed on any of the computers on which I have been observing this behavior.

Comment 59

5 years ago
Lucius, would be very helpful if you could obtain stacktrace per https://developer.mozilla.org/en/How_to_get_a_stacktrace_for_a_bug_report and attach it as a file to the bug report
Flags: needinfo?(lchiarav)
Keywords: stackwanted
Whiteboard: bye bye thunderbird (snif) → [closeme 2013-02-10]

Comment 60

5 years ago
Sorry it took me so long to get back to this -- I was out with the flu and then having to catch up on stuff after that at work.  Just posting this so you won't think I forgot about it:  I have started the procedure (using windbg) linked in the message above, and will post another message here when I get a stacktrace (assuming the procedure works).
Flags: needinfo?(lchiarav)

Comment 61

5 years ago
Created attachment 711843 [details]
Stacktrace after freeze on Java page from nextbus.com

Here is the first stacktrace, but I am not sure it is actually a manifestation of this bug as opposed to another one, so I will try to get another one after the New England Blizzard of 2013 passes and I can safely leave the computer on overnight again.

Meanwhile, this one is a result of a Firefox hang when I went to http://www.nextbus.com, viewed the page for Massachusetts Bay Transportation Authority route 65, and then tried to bring up the live map.  Java sometimes hangs when doing this, but it usually doesn't freeze Firefox completely (you can close the tab and try again).

Comment 62

5 years ago
Now that the Blizzard of 2013 has passed and I can leave the computer on, I am running another test.  Have a suspicion that attempting to start Java in Firefox under windbg automatically causes a hang -- might need to file a separate bug for this and retry this test on pages lacking Java.

Comment 63

5 years ago
Indeed, attempting to start Java in Firefox under windbg automatically causes a hang -- entered stacktrace for this under bug 290671.  Meanwhile, will start another test, on pages lacking Java.

Comment 64

5 years ago
Created attachment 712535 [details]
Stacktrace after freeze on pages without Java (as far as I know)

Here is a stack trace after Firefox froze on a page without Java after 2 days of operation.  Apparently when running under windbg it freezes instead of just quitting unexpectedly; windbg claims that a break instruction was issued at that time (even though I never used the break command nor killed Firefox with Task Manager).  Note:  I had to Zip the stack trace to get it to fit in one of Bugzilla's attachment spaces.
Attachment #711843 - Attachment is obsolete: true

Comment 65

5 years ago
Since in both this bug and bug 841892, Firefox eventually halts under windbg apparently with a breakpoint, I wonder if the cause of BOTH bugs is that some debugging code was accidentally left enabled in Firefox?

Also, I did double-check in the stacktrace on my hard drive corresponding to attachment 712535 [details], and made sure that java.exe never appears in there (in contrast to attachment 712203 [details] relevant to bug 841892 but originally filed under bug 290671).

Comment 66

5 years ago
mconley, any thoughts?

(In reply to Lucius Chiaraviglio from comment #64)
> Created attachment 712535 [details]
> Stacktrace after freeze on pages without Java (as far as I know)

[JavaScript Warning: "Error in parsing value for 'filter'.  Declaration dropped." {file: "http://www.mbta.com/lib/jQuery/fancybox/jquery.fancybox-1.3.4.css" line: 359}]
[JavaScript Warning: "Error in parsing value for 'height'.  Declaration dropped." {file: "http://www.mbta.com/about_the_mbta/news_events/?id=26317&month=&year=" line: 0}]
Symbol search path is: SRV*c:\symbols*http://symbols.mozilla.org/firefox;SRV*c:\symbols*http://msdl.microsoft.com/download/symbols;srv*
Executable search path is: 
ModLoad: 00400000 00406000   plugin-container.exe
ModLoad: 7c900000 7c9b2000   ntdll.dll
ModLoad: 7c800000 7c8f6000   C:\WINDOWS\system32\kernel32.dll
ModLoad: 10000000 11267000   C:\Program Files\Mozilla Firefox\xul.dll
ModLoad: 00410000 006f8000   C:\Program Files\Mozilla Firefox\mozjs.dll
ModLoad: 00290000 002bd000   C:\Program Files\Mozilla Firefox\nspr4.dll
ModLoad: 77dd0000 77e6b000   C:\WINDOWS\system32\ADVAPI32.dll
ModLoad: 77e70000 77f03000   C:\WINDOWS\system32\RPCRT4.dll
ModLoad: 77fe0000 77ff1000   C:\WINDOWS\system32\Secur32.dll
ModLoad: 71ad0000 71ad9000   C:\WINDOWS\system32\WSOCK32.dll
ModLoad: 71ab0000 71ac7000   C:\WINDOWS\system32\WS2_32.dll
ModLoad: 77c10000 77c68000   C:\WINDOWS\system32\msvcrt.dll
ModLoad: 71aa0000 71aa8000   C:\WINDOWS\system32\WS2HELP.dll
ModLoad: 76b40000 76b6d000   C:\WINDOWS\system32\WINMM.dll
ModLoad: 77f10000 77f59000   C:\WINDOWS\system32\GDI32.dll
ModLoad: 7e410000 7e4a1000   C:\WINDOWS\system32\USER32.dll
ModLoad: 78aa0000 78b5e000   C:\Program Files\Mozilla Firefox\MSVCR100.dll
ModLoad: 002c0000 002e4000   C:\Program Files\Mozilla Firefox\mozglue.dll
ModLoad: 76bf0000 76bfb000   C:\WINDOWS\system32\PSAPI.DLL
ModLoad: 78050000 780b9000   C:\Program Files\Mozilla Firefox\MSVCP100.dll
ModLoad: 002f0000 00309000   C:\Program Files\Mozilla Firefox\smime3.dll
ModLoad: 00310000 003af000   C:\Program Files\Mozilla Firefox\nss3.dll
ModLoad: 003b0000 003cb000   C:\Program Files\Mozilla Firefox\nssutil3.dll
ModLoad: 003d0000 003d7000   C:\Program Files\Mozilla Firefox\plc4.dll
ModLoad: 003e0000 003e7000   C:\Program Files\Mozilla Firefox\plds4.dll
ModLoad: 00700000 00728000   C:\Program Files\Mozilla Firefox\ssl3.dll
ModLoad: 00730000 007f9000   C:\Program Files\Mozilla Firefox\mozsqlite3.dll
ModLoad: 00800000 00adf000   C:\Program Files\Mozilla Firefox\gkmedias.dll
ModLoad: 003f0000 003f6000   C:\Program Files\Mozilla Firefox\mozalloc.dll
ModLoad: 74d90000 74dfb000   C:\WINDOWS\system32\USP10.dll
ModLoad: 774e0000 7761e000   C:\WINDOWS\system32\ole32.dll
ModLoad: 76380000 76385000   C:\WINDOWS\system32\MSIMG32.dll
ModLoad: 76d60000 76d79000   C:\WINDOWS\system32\IPHLPAPI.DLL
ModLoad: 736b0000 736b7000   C:\WINDOWS\system32\msdmo.dll
ModLoad: 7c9c0000 7d1d7000   C:\WINDOWS\system32\SHELL32.dll
ModLoad: 77f60000 77fd6000   C:\WINDOWS\system32\SHLWAPI.dll
ModLoad: 77c00000 77c08000   C:\WINDOWS\system32\VERSION.dll
ModLoad: 76390000 763ad000   C:\WINDOWS\system32\IMM32.dll
ModLoad: 5ad70000 5ada8000   C:\WINDOWS\system32\UxTheme.dll
ModLoad: 77920000 77a13000   C:\WINDOWS\system32\SETUPAPI.dll
ModLoad: 77120000 771ab000   C:\WINDOWS\system32\OLEAUT32.dll
(158c.944): Break instruction exception - code 80000003 (first chance)
eax=001a1eb4 ebx=7ffd4000 ecx=00000001 edx=00000002 esi=001a1f48 edi=001a1eb4
eip=7c90120e esp=0013fb20 ebp=0013fc94 iopl=0         nv up ei pl nz na po nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000202
ntdll!DbgBreakPoint:
7c90120e cc              int     3
1:042> |* ~* kp

. 42  Id: 158c.944 Suspend: 1 Teb: 7ffdf000 Unfrozen
ChildEBP RetAddr  
0013fb1c 7c9402ed ntdll!DbgBreakPoint
0013fc94 7c91fad7 ntdll!LdrpInitializeProcess+0x1014
0013fd1c 7c90e457 ntdll!_LdrpInitialize+0x183
00000000 00000000 ntdll!KiUserApcDispatcher+0x7
1:042> |* !analyze -v -f
*******************************************************************************
*                                                                             *
*                        Exception Analysis                                   *
*                                                                             *
*******************************************************************************

*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\nspr4.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\mozglue.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\smime3.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\nss3.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\nssutil3.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\plc4.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\plds4.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\mozalloc.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\mozjs.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\ssl3.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\mozsqlite3.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\gkmedias.dll
*** WARNING: Unable to verify checksum for C:\Program Files\Mozilla Firefox\xul.dll
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\IPHLPAPI.DLL - 

FAULTING_IP: 
ntdll!DbgBreakPoint+0
7c90120e cc              int     3

EXCEPTION_RECORD:  ffffffff -- (.exr 0xffffffffffffffff)
.exr 0xffffffffffffffff
ExceptionAddress: 7c90120e (ntdll!DbgBreakPoint)
   ExceptionCode: 80000003 (Break instruction exception)
  ExceptionFlags: 00000000
NumberParameters: 3
   Parameter[0]: 00000000
   Parameter[1]: 00000001
   Parameter[2]: 00000002

FAULTING_THREAD:  00000944

PROCESS_NAME:  plugin-container.exe

ERROR_CODE: (NTSTATUS) 0x80000003 - {EXCEPTION}  Breakpoint  A breakpoint has been reached.

EXCEPTION_CODE: (HRESULT) 0x80000003 (2147483651) - One or more arguments are invalid

EXCEPTION_PARAMETER1:  00000000

EXCEPTION_PARAMETER2:  00000001

EXCEPTION_PARAMETER3:  00000002

MOD_LIST: <ANALYSIS/>

NTGLOBALFLAG:  70

APPLICATION_VERIFIER_FLAGS:  0

ADDITIONAL_DEBUG_TEXT:  Followup set based on attribute [ProcessUpTime] from Frame:[ffffffff] on thread:[PSEUDO_THREAD] ; Followup set based on attribute [Is_ChosenCrashFollowupThread] from Frame:[0] on thread:[PSEUDO_THREAD]

LAST_CONTROL_TRANSFER:  from 7c9402ed to 7c90120e

BUGCHECK_STR:  APPLICATION_FAULT_LOADER_INIT_FAILURE_80000003

PRIMARY_PROBLEM_CLASS:  LOADER_INIT_FAILURE_80000003

DEFAULT_BUCKET_ID:  LOADER_INIT_FAILURE_80000003

STACK_TEXT:  
00000000 00000000 plugin-container.exe!Unknown+0x0


SYMBOL_NAME:  plugin-container.exe!Unknown

FOLLOWUP_NAME:  MachineOwner

MODULE_NAME: plugin-container

IMAGE_NAME:  plugin-container.exe

DEBUG_FLR_IMAGE_TIMESTAMP:  0

STACK_COMMAND:  dt ntdll!LdrpLastDllInitializer BaseDllName ; dt ntdll!LdrpFailureData ; ** Pseudo Context ** ; kb

FAILURE_BUCKET_ID:  LOADER_INIT_FAILURE_80000003_80000003_plugin-container.exe!Unloaded

BUCKET_ID:  APPLICATION_FAULT_LOADER_INIT_FAILURE_80000003_plugin-container.exe!Unknown

FOLLOWUP_IP: 
plugin_container!__ImageBase+0
00400000 4d              dec     ebp

Followup: MachineOwner
---------

1:042> |* lm
start    end        module name
00290000 002bd000   nspr4    C (private pdb symbols)  c:\symbols\nspr4.pdb\EF83D9C22AB04D699C7BE15EDDCAA3A82\nspr4.pdb
002c0000 002e4000   mozglue  C (private pdb symbols)  c:\symbols\mozglue.pdb\C00FEC895DF54BFBA97265D764AC37782\mozglue.pdb
002f0000 00309000   smime3   C (private pdb symbols)  c:\symbols\smime3.pdb\1E75BB4997B5421CB7410B051A0BDDA81\smime3.pdb
00310000 003af000   nss3     C (private pdb symbols)  c:\symbols\nss3.pdb\7F210EC254F64A428142F48680B005BC1\nss3.pdb
003b0000 003cb000   nssutil3 C (private pdb symbols)  c:\symbols\nssutil3.pdb\71426A0B070D487FB9E44F2FAEC3C4691\nssutil3.pdb
003d0000 003d7000   plc4     C (private pdb symbols)  c:\symbols\plc4.pdb\0BECD78190C84F46BC853C056CD339A32\plc4.pdb
003e0000 003e7000   plds4    C (private pdb symbols)  c:\symbols\plds4.pdb\F2265E7496BE41F2AFA16C1D14D2B74E2\plds4.pdb
003f0000 003f6000   mozalloc C (private pdb symbols)  c:\symbols\mozalloc.pdb\3741D1DE9CE34543A77A094A655177F62\mozalloc.pdb
00400000 00406000   plugin_container   (private pdb symbols)  c:\symbols\plugin-container.pdb\40E8D0062FE94E30A8A7562EA037F83E2\plugin-container.pdb
00410000 006f8000   mozjs    C (private pdb symbols)  c:\symbols\mozjs.pdb\50C77B5B89BA46339A0B8924D996BFB52\mozjs.pdb
00700000 00728000   ssl3     C (private pdb symbols)  c:\symbols\ssl3.pdb\CDDD2577C89749508930F2AF36D2F3852\ssl3.pdb
00730000 007f9000   mozsqlite3 C (private pdb symbols)  c:\symbols\mozsqlite3.pdb\69B2785090924766A5F5F42620B514C42\mozsqlite3.pdb
00800000 00adf000   gkmedias C (private pdb symbols)  c:\symbols\gkmedias.pdb\EA50BDD374F842B99B481E9486BE36492\gkmedias.pdb
10000000 11267000   xul      C (private pdb symbols)  c:\symbols\xul.pdb\BD06CFA467CF4B9FAA961D88EB6594D22\xul.pdb
5ad70000 5ada8000   UxTheme    (pdb symbols)          c:\symbols\uxtheme.pdb\E99E16308F094767B1F07FB5C3E5E2462\uxtheme.pdb
71aa0000 71aa8000   WS2HELP    (pdb symbols)          c:\symbols\ws2help.pdb\6049CF5877C54E2AB512ABC1B4B2E7992\ws2help.pdb
71ab0000 71ac7000   WS2_32     (pdb symbols)          c:\symbols\ws2_32.pdb\A7605F8695A34329B38DDB8421A004CA2\ws2_32.pdb
71ad0000 71ad9000   WSOCK32    (pdb symbols)          c:\symbols\wsock32.pdb\2B38FE8F84144DACB8A4FD07C05E49FC2\wsock32.pdb
736b0000 736b7000   msdmo      (pdb symbols)          c:\symbols\msdmo.pdb\2E97FEBBB7E342A48AF4FFA609F606F11\msdmo.pdb
74d90000 74dfb000   USP10      (pdb symbols)          c:\symbols\usp10.pdb\D4BA2952809F469BB6D1D3AF6B956E6B1\usp10.pdb
76380000 76385000   MSIMG32    (pdb symbols)          c:\symbols\msimg32.pdb\D2E18526D8234F4BB5A85DE12E71DE812\msimg32.pdb
76390000 763ad000   IMM32      (pdb symbols)          c:\symbols\imm32.pdb\F7A5B5DB13324153B57AAF340C77EA512\imm32.pdb
76b40000 76b6d000   WINMM      (pdb symbols)          c:\symbols\winmm.pdb\CBD9B2B21EE74EE6BA95B56DCBD2A57F2\winmm.pdb
76bf0000 76bfb000   PSAPI      (pdb symbols)          c:\symbols\psapi.pdb\B9875A55C874489384EA8FB805322C312\psapi.pdb
76d60000 76d79000   IPHLPAPI   (export symbols)       C:\WINDOWS\system32\IPHLPAPI.DLL
77120000 771ab000   OLEAUT32   (pdb symbols)          c:\symbols\oleaut32.pdb\E04ECB48CAED47B2958C3D2C1094E23F2\oleaut32.pdb
774e0000 7761e000   ole32      (pdb symbols)          c:\symbols\ole32.pdb\498D399602DE44A59DB412C95883B65C2\ole32.pdb
77920000 77a13000   SETUPAPI   (pdb symbols)          c:\symbols\setupapi.pdb\9D52182415AA4179960B37F4C694F90D2\setupapi.pdb
77c00000 77c08000   VERSION    (pdb symbols)          c:\symbols\version.pdb\EA3D1BD3FE65475C8449C8D8B00722962\version.pdb
77c10000 77c68000   msvcrt     (pdb symbols)          c:\symbols\msvcrt.pdb\7BCF30D8C91B4F1B85FA4E55896250111\msvcrt.pdb
77dd0000 77e6b000   ADVAPI32   (pdb symbols)          c:\symbols\advapi32.pdb\F759D3F1C6614313B07C84BC33F02E4D2\advapi32.pdb
77e70000 77f03000   RPCRT4     (pdb symbols)          c:\symbols\rpcrt4.pdb\1A465C67828242F28A8C70E3B9D5C4772\rpcrt4.pdb
77f10000 77f59000   GDI32      (pdb symbols)          c:\symbols\gdi32.pdb\372C0F0E08FB456EAB7B4CB2B53E27952\gdi32.pdb
77f60000 77fd6000   SHLWAPI    (pdb symbols)          c:\symbols\shlwapi.pdb\483E8894476B412DABC2FBA7F470E39A2\shlwapi.pdb
77fe0000 77ff1000   Secur32    (pdb symbols)          c:\symbols\secur32.pdb\7867B3F28B5C41CE847895E3FC013DC52\secur32.pdb
78050000 780b9000   MSVCP100   (private pdb symbols)  c:\symbols\msvcp100.i386.pdb\CE550582BFCA474A8321ECC0CE61C54C1\msvcp100.i386.pdb
78aa0000 78b5e000   MSVCR100   (private pdb symbols)  c:\symbols\msvcr100.i386.pdb\B74A49314FD64956BAF50772F83598012\msvcr100.i386.pdb
7c800000 7c8f6000   kernel32   (pdb symbols)          c:\symbols\kernel32.pdb\A22E3A9843CC45B4A2BFA31377127D422\kernel32.pdb
7c900000 7c9b2000   ntdll      (pdb symbols)          c:\symbols\ntdll.pdb\CEFC0863B1F84130A11E0F54180CD21A2\ntdll.pdb
7c9c0000 7d1d7000   SHELL32    (pdb symbols)          c:\symbols\shell32.pdb\D0DDBCD630B141B69246AA5B2446C84C2\shell32.pdb
7e410000 7e4a1000   USER32     (pdb symbols)          c:\symbols\user32.pdb\D18A41B74E7F458CAAAC1847E2D8BF022\user32.pdb
Keywords: stackwanted
Whiteboard: [closeme 2013-02-10] → [has stacktrace ]

Comment 67

5 years ago
Created attachment 716169 [details]
Stacktrace similar to last one, but from Firefox 19.0

Here is a stacktrace similar to the last one, but from Firefox 19.0.  Temporarily ignore the first time it quits ("Break instruction exception"), apparently caused by the Life Technologies page attempting to load a flash player (although that sounds like a more generalized version of bug 841892 -- loading a plugin really shouldn't cause a break/exception).  This time, the stop at the very end is a mysterious stoppage with no breakpoint or obvious exception, and with the message "Failure could not be analyzed", so this stacktrace may be contain a truer reflection of the nature of this bug, although again the Firefox window froze instead of disappearing as it does when stopping unexpectedly when NOT being run under windbg.

Comment 68

4 years ago
Denys (reporter), do you still see this problem?

Lucius, do you still see this problem?  If this didn't happen in Firefox 5, then I suggest install some nightly builds to determine regression range
Flags: needinfo?(mdperrin1)
Flags: needinfo?(lchiarav)
Whiteboard: [has stacktrace ] → [closeme 2014-02-01][has stacktrace ][OS/HW?]

Comment 69

4 years ago
Can no longer test Thunderbird at work, because our IT got rid of the add-on to Microsoft Exchange Server that let Thunderbird (or almost anything other than Microsoft Outlook or approved mobile apps) access it.

For Firefox, I haven't YET seen this problem recur on our recently received Windows 7 computer, and I also haven't seen it on Windows Vista at home, where I have repeatedly left it on long enough (overnight) that I should have seen it quit unexpectedly, so I wonder if it was a problem specific to Windows XP.  Still need to do a stress test on Windows 7, though.
Flags: needinfo?(lchiarav)

Comment 70

4 years ago
Ran test of Firefox 26.0 (normally, not under WinDbg) over 3 nights, just sitting at its default home page and after each night popping over to something harmless like www.google.com or www.wikipedia.org to make sure it could respond without quitting.

On Windows XP 32 bit:  Found that it had quit today before I could pop over to one of the above-mentioned pages (still no error message).
On Windows 7 64 bit (but using standard 32 bit build of Firefox):   No problem so far

Not sure if the problem is really specific to Windows XP, or just the total running time was longer there (I work on the Windows 7 computer now and sometimes have to quit Firefox and restart it for other reasons), or it is just random and hard to find at the long intervals for this bug to occur.  However, the fact that I have left it on overnight many times at home under Windows Vista 32 bit without it quitting (except when Windows Vista itself freezes) suggests that the problem is specific to Windows XP.

Comment 71

4 years ago
Resolved per whiteboard, feel free to reopen if you see this problem again
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Flags: needinfo?(mdperrin1)
Resolution: --- → INCOMPLETE
Whiteboard: [closeme 2014-02-01][has stacktrace ][OS/HW?] → [has stacktrace ][OS/HW?]
You need to log in before you can comment on or make changes to this bug.